{"openapi":"3.1.0","info":{"title":"Orizon API"},"servers":[{"url":"https://api.dev.orizon.app","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"tags":[{"name":"time-zones","description":"Time zone operations"},{"name":"import","description":"Import operations"},{"name":"buildings","description":"Building operations"},{"name":"prospects","description":"Prospect operations"},{"name":"software-keys","description":"Software Key operations for LICENSE subscriptions"},{"name":"departments","description":"Department operations"},{"name":"diaper-plans","description":"Diaper plans operations"},{"name":"partners","description":"Partner operations"},{"name":"legal-document-types","description":"Legal document types operations"},{"name":"nursing-homes","description":"Nursing home operations"},{"name":"common-avatars","description":"Common avatar operations"},{"name":"diaper-schedules","description":"Diaper schedules operations"},{"name":"clipons","description":"Clip-on operations"},{"name":"floors","description":"Floor operations"},{"name":"ping","description":"Ping operations"},{"name":"firmwares","description":"Firmware operations"},{"name":"sync","description":"Data warehouse synchronization operations"},{"name":"nursing-home-parameters","description":"Nursing home parameter operations"},{"name":"wetness-profiles","description":"Wetness profiles operations"},{"name":"connections","description":"Connection operations"},{"name":"reporting","description":"Reporting operations"},{"name":"nursing-home-legal-doc","description":"Nursing home legal documents operations"},{"name":"idocs","description":"Idoc operations"},{"name":"sensor-measures","description":"Sensor measure operations"},{"name":"subscriptions","description":"Subscription operations"},{"name":"user-parameters","description":"User parameter operations"},{"name":"application-versions","description":"Application version operations"},{"name":"billing","description":"Billing operations"},{"name":"countries","description":"Country operations"},{"name":"charging-stations","description":"Charging station operations"},{"name":"gateways","description":"Gateway operations"},{"name":"groups","description":"Group operations"},{"name":"movements","description":"Movement operations"},{"name":"notifications","description":"Stats gathering on push notifications round-trip timings"},{"name":"vendor-codes","description":"Vendor code operations"},{"name":"security","description":"Security operations"},{"name":"partner-prospects","description":"Partner prospect operations"},{"name":"resident-avatars","description":"Resident avatar operations"},{"name":"sessions","description":"Application session operations"},{"name":"legal-entities","description":"Legal entities operations"},{"name":"status","description":"Status operations"},{"name":"residents","description":"Resident operations"},{"name":"alarms","description":"Alarm operations"},{"name":"support","description":"Support operations"},{"name":"purchase-orders","description":"Purchase order operations"},{"name":"manufacturers","description":"Manufacturer operations"},{"name":"movements","description":"B2B notification operations"},{"name":"day-preferences","description":"Day preference operations"},{"name":"shipping-requests","description":"Shipping request operations"},{"name":"material-numbers","description":"Material number operations"},{"name":"rooms","description":"Room operations"},{"name":"user-avatars","description":"User avatar operations"},{"name":"products","description":"Product operations"},{"name":"diaper-changes","description":"Diaper changes operations"},{"name":"common-rooms","description":"Common room operations"},{"name":"firmware-uploads","description":"Firmware upload operations"},{"name":"users","description":"User operations"}],"paths":{"/api/v1/wetness-profiles/{id}":{"get":{"tags":["wetness-profiles"],"summary":"Get a wetness profile. Can be expanded with \"diapers\".","operationId":"getOne","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WetnessProfileResponse"}}}}}},"put":{"tags":["wetness-profiles"],"summary":"Update a wetness profile.","operationId":"updateOne","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WetnessProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WetnessProfileResponse"}}}}}},"delete":{"tags":["wetness-profiles"],"summary":"Delete a wetness profile.","operationId":"deleteOne","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}":{"get":{"tags":["users"],"summary":"Get a user. Can be expanded with \"user-parameters\", \"nursing-homes\", \"preferred-departments\", \"session-departments\", \"preferred-groups\", \"session-groups\", \"latest-connection\", \"open-sessions\", \"avatar-image-path\", \"counts\", \"partner\", \"partner-prospects\" and/or \"taken-alarms-count\".","operationId":"getOne_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}},"put":{"tags":["users"],"summary":"Update a user.","operationId":"updateOne_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}},"delete":{"tags":["users"],"summary":"Delete a user.","operationId":"deleteOne_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/profile":{"put":{"tags":["users"],"summary":"Update a user profile.","operationId":"updateProfile","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/pin":{"put":{"tags":["users"],"summary":"Update a user PIN.","operationId":"updatePin","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PinRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/employee-id":{"put":{"tags":["users"],"summary":"Update a user employee ID.","operationId":"updateEmployeeId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployeeIdRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/email":{"put":{"tags":["users"],"summary":"Update a user email.","operationId":"updateEmail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/avatar":{"put":{"tags":["users"],"summary":"Use a common avatar for the user.","operationId":"useCommonAvatar","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommonAvatarSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AvatarSelectionResponse"}}}}}},"post":{"tags":["users"],"summary":"Use a user specific avatar image file.","operationId":"useUserAvatarImage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AvatarSelectionResponse"}}}}}}},"/api/v1/user-parameters/{id}":{"put":{"tags":["user-parameters"],"summary":"Update a user parameter.","operationId":"updateOne_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserParameterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserParameterResponse"}}}}}},"delete":{"tags":["user-parameters"],"summary":"Delete a user parameter.","operationId":"deleteOne_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/sessions/current":{"get":{"tags":["sessions"],"summary":"Get the current application session.","operationId":"getCurrent","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SessionResponse"}}}}}},"put":{"tags":["sessions"],"summary":"Update the current application session.","operationId":"updateCurrent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SessionResponse"}}}}}}},"/api/v1/sessions/current/scope":{"put":{"tags":["sessions"],"summary":"Update the departments and groups associated with the current application session.","operationId":"updateCurrentScope","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionScopeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SessionScopeResponse"}}}}}}},"/api/v1/rooms/{id}":{"get":{"tags":["rooms"],"summary":"Get a room. Can be expanded with \"floor\", \"building\", \"departments\", \"residents\", \"avatar-image-path\" and/or \"counts\".","operationId":"getOne_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoomResponse"}}}}}},"put":{"tags":["rooms"],"summary":"Update a room.","operationId":"updateOne_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoomRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoomResponse"}}}}}},"delete":{"tags":["rooms"],"summary":"Delete a room.","operationId":"deleteOne_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/residents/{id}":{"get":{"tags":["residents"],"summary":"Get a resident.Can be expanded with \"room\", \"floor\", \"building\", \"departments\", \"groups\", \"clipon\", \"diaper-change\", \"product\", \"recommended-product\" (requires a \"time\" parameter such as \"18:53:24\"), \"alarms\", \"alarms-actions\", \"avatar-image-path\", \"diaper-plan\", \"diaper-change-wetnesses\" (detailed wetnesses of the current open change), and/or \"diaper-plan-history\".","operationId":"getOne_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"time","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResidentResponse"}}}}}},"put":{"tags":["residents"],"summary":"Update a resident.","operationId":"updateOne_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResidentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResidentResponse"}}}}}},"delete":{"tags":["residents"],"summary":"Delete a resident.","operationId":"deleteOne_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/residents/{id}/undelete":{"put":{"tags":["residents"],"summary":"Soft undelete a resident.","operationId":"softUndeleteOne","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResidentResponse"}}}}}}},"/api/v1/residents/{id}/diaper-schedules":{"get":{"tags":["residents"],"summary":"Get all diaper schedules of a resident. Can be expanded with \"product\".","operationId":"getDiaperSchedules","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDiaperScheduleResponse"}}}}}},"put":{"tags":["residents"],"summary":"Update the diaper schedules of a resident.","operationId":"updateDiaperSchedules","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiaperSchedulesRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/residents/{id}/diaper-plan":{"put":{"tags":["residents"],"summary":"Set/update the diaper plan of a resident.\n Provide either a diaper plan ID or the list of day/night product IDs.\n When providing a diaper plan ID, there are 2 cases.\n If the diaper plan is a template then the resident is linked to that precise template (a change to the template will change the plan of the resident).\n If the diaper plan is not a template, then the resident will have its own diaper plan which will be a copy of the provided diaper plan.","operationId":"updateDiaperPlan","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResidentDiaperPlanRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiaperPlanResponse"}}}}}}},"/api/v1/residents/{id}/delete":{"put":{"tags":["residents"],"summary":"Soft delete a resident.","operationId":"softDeleteOne","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/residents/{id}/day-preferences":{"get":{"tags":["residents"],"summary":"Get all day preferences of a resident. Can be expanded with \"common-room\".","operationId":"getDayPreferences","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDayPreferenceResponse"}}}}}},"put":{"tags":["residents"],"summary":"Update the day preferences of a resident.","operationId":"updateDayPreferences","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DayPreferencesRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/residents/{id}/avatar":{"put":{"tags":["residents"],"summary":"Use a common avatar for the resident.","operationId":"useCommonAvatar_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommonAvatarSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AvatarSelectionResponse"}}}}}},"post":{"tags":["residents"],"summary":"Use a resident specific avatar image file.","operationId":"useResidentAvatarImage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AvatarSelectionResponse"}}}}}}},"/api/v1/products/{id}/departments":{"get":{"tags":["products"],"summary":"Get all departments of a product.","operationId":"getDepartments","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDepartmentResponse"}}}}}},"put":{"tags":["products"],"summary":"Update the departments of a product.","operationId":"updateDepartments","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssociationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssociationResponse"}}}}}},"delete":{"tags":["products"],"summary":"Remove all departments from a product.","operationId":"removeDepartments","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssociationResponse"}}}}}}},"/api/v1/partners/{id}":{"get":{"tags":["partners"],"summary":"Get a partner. Can be expanded with \"address\", \"delivery-addresses\" and/or \"counts\".","operationId":"getOne_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerResponse"}}}}}},"put":{"tags":["partners"],"summary":"Update a partner.","operationId":"updateOne_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerResponse"}}}}}},"delete":{"tags":["partners"],"summary":"Delete a partner.","operationId":"deleteOne_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/partner-prospects/{id}":{"get":{"tags":["partner-prospects"],"summary":"Get a partner prospect. Can be expanded with \"subscription\", \"address\", \"delivery-addresses\", \"delivery-addresses-shipping-request-count\", \"nursing-home\" and/or \"counts\".","operationId":"getOne_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerProspectResponse"}}}}}},"put":{"tags":["partner-prospects"],"summary":"Update a partner prospect.","operationId":"updateOne_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerProspectRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerProspectResponse"}}}}}},"delete":{"tags":["partner-prospects"],"summary":"Delete a partner prospect.","operationId":"deleteOne_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/partner-prospects/{id}/delivery-addresses/{deliveryAddressId}":{"put":{"tags":["partner-prospects"],"summary":"Update a delivery address of a partner prospect.","operationId":"updateDeliveryAddress","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"deliveryAddressId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerProspectDeliveryAddressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerProspectDeliveryAddressResponse"}}}}}},"delete":{"tags":["partner-prospects"],"summary":"Delete a delivery address from a partner prospect.","operationId":"deleteDeliveryAddress","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"deliveryAddressId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/partner-prospects/{id}/address":{"put":{"tags":["partner-prospects"],"summary":"Update the address of a partner prospect.","operationId":"updateAddress","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerProspectAddressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerProspectAddressResponse"}}}}}}},"/api/v1/nursing-homes/{id}":{"get":{"tags":["nursing-homes"],"summary":"Get a nursing home. Can be expanded with \"parameters\", \"nursing-home-user\", \"address\", \"delivery-addresses\", \"delivery-addresses-shipping-request-count\", \"firmware\", \"subscription\", \"software-keys\", \"shipping-requests\", \"clipons\", \"gateways\", \"gateway-connection-activity\", \"charging-stations\", \"counts\", \"clipon-metrics\", \"gateway-metrics\", \"charging-station-metrics\" and/or \"actions\".","operationId":"getOne_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeResponse"}}}}}},"put":{"tags":["nursing-homes"],"summary":"Update a nursing home.","operationId":"updateOne_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeResponse"}}}}}},"delete":{"tags":["nursing-homes"],"summary":"Delete a nursing home.","operationId":"deleteOne_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"drop-schema","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/update-addresses":{"put":{"tags":["nursing-homes"],"summary":"Update the address and delivery addresses of a SAP nursing home using data from SAP.","operationId":"updateAddresses","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeDeliveryAddressesRequestDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/protocol-configuration":{"put":{"tags":["nursing-homes"],"summary":"Update the protocol configuration of a nursing home.","operationId":"updateProtocolConfiguration","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeProtocolConfigurationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/product-association-mode":{"put":{"tags":["nursing-homes"],"summary":"Update the product association mode.","operationId":"updateEmail_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductAssociationModeRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/password":{"put":{"tags":["nursing-homes"],"summary":"Update the nursing home user password.","operationId":"updatePassword","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/legal-documents/{doc-type-id}":{"put":{"tags":["nursing-home-legal-doc"],"summary":"Upsert a legal document for a given nursing home. That'll override the common legal doc of this type. That'll also erase any approval if there was any","operationId":"createOneLegalDoc","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"doc-type-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApprovableLegalDocRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApprovableLegalDocResponse"}}}}}}},"/api/v1/nursing-homes/{id}/disconnect-notif-disabled":{"put":{"tags":["nursing-homes"],"summary":"Update the disconnect notification disabled flag of a nursing home.","operationId":"updateDisconnectNotifDisabled","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeDisconnectNotifDisabledRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-home-parameters/{id}":{"put":{"tags":["nursing-home-parameters"],"summary":"Update a nursing home parameter in the current nursing home.","operationId":"updateOne_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeParameterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeParameterResponse"}}}}}}},"/api/v1/notifications/{notificationId}":{"put":{"tags":["notifications"],"summary":"Not used anymore, only kept for retro-compatibility.","operationId":"updateOne_9","parameters":[{"name":"notificationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/legal-entities/{id}":{"get":{"tags":["legal-entities"],"summary":"Get a legal entity.","operationId":"getOne_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LegalEntityResponse"}}}}}},"put":{"tags":["legal-entities"],"summary":"Update a legal entity.","operationId":"updateOne_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalEntityRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LegalEntityResponse"}}}}}},"delete":{"tags":["legal-entities"],"summary":"Delete a legal entity.","operationId":"deleteOne_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/legal-document-types/{type}/documents":{"put":{"tags":["legal-document-types"],"summary":"Upsert a legal document.","operationId":"upsertOneDocument","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalDocRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LegalDocTypeResponse"}}}}}}},"/api/v1/groups/{id}":{"get":{"tags":["groups"],"summary":"Get a group. Can be expanded with \"counts\", \"connected-users\" and/or \"avatar-image-path\".","operationId":"getOne_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GroupResponse"}}}}}},"put":{"tags":["groups"],"summary":"Update a group.","operationId":"updateOne_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GroupResponse"}}}}}},"delete":{"tags":["groups"],"summary":"Delete a group.","operationId":"deleteOne_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/gateways/{id}":{"get":{"tags":["gateways"],"summary":"Get a gateway. Can be expanded with \"handling-unit\", \"nursing-home\" and/or \"connection-activity\".","operationId":"getOne_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GatewayResponse"}}}}}},"put":{"tags":["gateways"],"summary":"Update a gateway.","operationId":"updateOne_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GatewayRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GatewayResponse"}}}}}}},"/api/v1/floors/{id}":{"get":{"tags":["floors"],"summary":"Get a floor. Can be expanded with \"building\" and/or \"counts\".","operationId":"getOne_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FloorResponse"}}}}}},"put":{"tags":["floors"],"summary":"Update a floor.","operationId":"updateOne_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FloorRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FloorResponse"}}}}}},"delete":{"tags":["floors"],"summary":"Delete a floor.","operationId":"deleteOne_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/firmwares/{id}":{"get":{"tags":["firmwares"],"summary":"Get a firmware. Can be expanded with \"counts\".","operationId":"getOne_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FirmwareResponse"}}}}}},"put":{"tags":["firmwares"],"summary":"Update a firmware.","operationId":"updateOne_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmwareModificationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FirmwareResponse"}}}}}},"delete":{"tags":["firmwares"],"summary":"Delete a firmware.","operationId":"deleteOne_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/firmwares/{id}/deploy":{"put":{"tags":["firmwares"],"summary":"Deploy (in other words 'associate') a firmware to multiple nursing homes.","operationId":"deployFirmware","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmwareDeploymentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FirmwareDeploymentResponse"}}}}}}},"/api/v1/firmwares/{id}/default":{"put":{"tags":["firmwares"],"summary":"Set firmware as default (and set as non-default all the other ones)","operationId":"setDefault","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FirmwareResponse"}}}}}}},"/api/v1/firmware-uploads/{cliponSerialNumber}":{"get":{"tags":["firmware-uploads"],"summary":"Get a firmware upload.","operationId":"getOne_12","parameters":[{"name":"cliponSerialNumber","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FirmwareUpload"}}}}}},"put":{"tags":["firmware-uploads"],"summary":"Upsert a firmware upload.","operationId":"upsertOne","parameters":[{"name":"cliponSerialNumber","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirmwareUpload"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/diaper-plans/{id}/delete":{"put":{"tags":["diaper-plans"],"summary":"Soft delete a diaper plan. The diaper plan will be removed from all the residents using this diaper (and they will have no diaper plan anymore). Template and custom diaper plan can be soft-deleted but it does not make much sense for custom plan.","operationId":"softDeleteOne_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/diaper-plans/templates/{id}":{"put":{"tags":["diaper-plans"],"summary":"Update a diaper plan template.\n All the residents using this template will be affected.\n Trying to update a plan which is not a template will fail.\n Warning! Updating a diaper plan actually creates a new diaper plan (not the same ID)\n that replaces the previous one in the resident that were using the initial plan.\n The initial plan is kept (because probably referenced by some diaper changes) and is marked as (soft-)deleted. Can be expanded with \"products\" and/or \"residents\".","operationId":"updateTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiaperPlanRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiaperPlanResponse"}}}}}}},"/api/v1/departments/{id}":{"get":{"tags":["departments"],"summary":"Get a department. Can be expanded with \"building\", \"counts\", \"connected-users\" and/or \"avatar-image-path\".","operationId":"getOne_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepartmentResponse"}}}}}},"put":{"tags":["departments"],"summary":"Update a department.","operationId":"updateOne_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepartmentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DepartmentResponse"}}}}}},"delete":{"tags":["departments"],"summary":"Delete a department.","operationId":"deleteOne_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/departments/{id}/rooms":{"get":{"tags":["departments"],"summary":"Get all rooms of a department.  Can be expanded with \"floor\", \"building\", \"departments\", \"residents\", \"avatar-image-path\" and/or \"counts\".","operationId":"getRooms","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRoomResponse"}}}}}},"put":{"tags":["departments"],"summary":"Update the rooms of a department.","operationId":"updateRooms","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssociationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssociationResponse"}}}}}},"delete":{"tags":["departments"],"summary":"Remove all rooms from a department.","operationId":"removeRooms","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssociationResponse"}}}}}}},"/api/v1/departments/{id}/products":{"put":{"tags":["departments"],"summary":"Update the products of a department.","operationId":"updateProducts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssociationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssociationResponse"}}}}}},"delete":{"tags":["departments"],"summary":"Remove all products from a department.","operationId":"removeProducts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AssociationResponse"}}}}}}},"/api/v1/common-rooms/{id}":{"get":{"tags":["common-rooms"],"summary":"Get a common room. Can be expanded with \"floor\", \"building\" and/or \"counts\".","operationId":"getOne_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CommonRoomResponse"}}}}}},"put":{"tags":["common-rooms"],"summary":"Update a common room.","operationId":"updateOne_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommonRoomRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CommonRoomResponse"}}}}}},"delete":{"tags":["common-rooms"],"summary":"Delete a common room.","operationId":"deleteOne_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/clipons/{id}":{"get":{"tags":["clipons"],"summary":"Get a clip-on. Can be expanded with \"handling-unit\", \"nursing-home\", \"resident\", \"avatar-image-path\", \"alarms\" and/or \"firmware-upload\".","operationId":"getOne_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CliponResponse"}}}}}},"put":{"tags":["clipons"],"summary":"Update a clip-on.","operationId":"updateOne_17","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CliponRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CliponResponse"}}}}}},"delete":{"tags":["clipons"],"summary":"Delete a clip-on.","operationId":"deleteOne_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/charging-stations/{id}":{"get":{"tags":["charging-stations"],"summary":"Get a charging station. Can be expanded with \"handling-unit\" and/or \"nursing-home\".","operationId":"getOne_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChargingStationResponse"}}}}}},"put":{"tags":["charging-stations"],"summary":"Update a charging station.","operationId":"updateOne_18","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChargingStationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChargingStationResponse"}}}}}}},"/api/v1/buildings/{id}":{"get":{"tags":["buildings"],"summary":"Get a building. Can be expanded with \"counts\".","operationId":"getOne_17","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BuildingResponse"}}}}}},"put":{"tags":["buildings"],"summary":"Update a building.","operationId":"updateOne_19","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BuildingResponse"}}}}}},"delete":{"tags":["buildings"],"summary":"Delete a building.","operationId":"deleteOne_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/application-versions/{id}":{"get":{"tags":["application-versions"],"summary":"Get an application version.","operationId":"getOne_18","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationVersionResponse"}}}}}},"put":{"tags":["application-versions"],"summary":"Update an application version.","operationId":"updateOne_20","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationVersionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationVersionResponse"}}}}}},"delete":{"tags":["application-versions"],"summary":"Delete an application version.","operationId":"deleteOne_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/wetness-profiles":{"get":{"tags":["wetness-profiles"],"summary":"Get all wetness profiles. Can be expanded with \"diapers\".","operationId":"getAll","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageWetnessProfileResponse"}}}}}},"post":{"tags":["wetness-profiles"],"summary":"Create a wetness profile.","operationId":"createOne","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WetnessProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WetnessProfileResponse"}}}}}},"delete":{"tags":["wetness-profiles"],"summary":"Delete all wetness profiles.","operationId":"deleteAll","responses":{"200":{"description":"OK"}}}},"/api/v1/wetness-profiles/{id}/diapers/{diaperId}":{"post":{"tags":["wetness-profiles"],"summary":"Add a diaper to a wetness profile.","operationId":"addDiaper","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"diaperId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["wetness-profiles"],"summary":"Remove a diaper from a wetness profile.","operationId":"removeDiaper","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"diaperId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/user-parameters":{"post":{"tags":["users"],"summary":"Create a user parameter.","operationId":"createUserParameter","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserParameterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserParameterResponse"}}}}}}},"/api/v1/users/{id}/unlock-pin":{"post":{"tags":["users"],"summary":"Unlock a user's PIN authentication (reset failed attempts counter and lockout).","operationId":"unlockPin","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/unlock-password":{"post":{"tags":["users"],"summary":"Unlock a user's password authentication (reset failed attempts counter and lockout).","operationId":"unlockPassword","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/nursing-homes/{nursingHomeId}":{"post":{"tags":["users"],"summary":"Add a nursing home to a user.","operationId":"addNursingHome","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"nursingHomeId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["users"],"summary":"Remove a nursing home from a user.","operationId":"removeNursingHome","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"nursingHomeId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/groups/{groupId}":{"post":{"tags":["users"],"summary":"Add a preferred group to a user.","operationId":"addGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["users"],"summary":"Remove a preferred group from a user.","operationId":"removeGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/{id}/departments/{departmentId}":{"post":{"tags":["users"],"summary":"Add a preferred department to a user.","operationId":"addDepartment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"departmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["users"],"summary":"Remove a preferred department from a user.","operationId":"removeDepartment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"departmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/users/verify-email":{"post":{"tags":["users"],"summary":"Verify an email.","operationId":"verifyEmail","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/update-account-status":{"post":{"tags":["users"],"summary":"Update a user account status.","operationId":"updateAccountStatus","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountStatusRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/start-password-reset":{"post":{"tags":["users"],"summary":"Start the user password reset procedure.","operationId":"startPasswordReset","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordResetStartRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/start-email-verification":{"post":{"tags":["users"],"summary":"Start the email verification procedure.","operationId":"startEmailVerification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationStartRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/reset-password":{"post":{"tags":["users"],"summary":"Reset a user password.","operationId":"resetPassword","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordResetRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/force-verify-email":{"post":{"tags":["users"],"summary":"Force verify an email.","operationId":"forceVerifyEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailForceVerificationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/users/create-team-member":{"post":{"tags":["users"],"summary":"Create a team member.","operationId":"createTeamMember","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}}},"/api/v1/users/create-manager-public":{"post":{"tags":["users"],"summary":"Publicly create a manager user.","operationId":"createManagerPublic","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}}},"/api/v1/users/create-manager-private":{"post":{"tags":["users"],"summary":"Privately create a manager user.","operationId":"createManagerPrivate","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}}},"/api/v1/support/henkel-request":{"post":{"tags":["support"],"summary":"Submit a support request for a Henkel nursing home","description":"Sends a support request to Henkel support team and a confirmation email to the user. Only available for Henkel nursing homes. Requires CAREGIVER role or higher (includes NURSE, HEAD_NURSE, DIRECTOR, PS, CSM, HKA).","operationId":"submitHenkelSupportRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HenkelSupportRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/subscriptions":{"get":{"tags":["subscriptions"],"summary":"Get all subscriptions. A nursing home ID can be provided to filter the results.","operationId":"getAll_1","parameters":[{"name":"nursing-home-id","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageSubscriptionResponse"}}}}}},"post":{"tags":["subscriptions"],"summary":"Create or update the subscription of a nursing home.","operationId":"updateSubscription","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionCreationResponse"}}}}}}},"/api/v1/subscriptions/{id}/terminate":{"post":{"tags":["subscriptions"],"summary":"Terminate a subscription.","operationId":"terminate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/software-keys":{"get":{"tags":["software-keys"],"summary":"Get software keys for a nursing home (paginated)","description":"Returns all software keys for a nursing home, optionally filtered by status. Requires SALES_ASSISTANT profile or higher.","operationId":"getByNursingHome","parameters":[{"name":"nursing-home-id","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["ACTIVE","CANCELED"]}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageSoftwareKeyResponse"}}}}}},"post":{"tags":["software-keys"],"summary":"Create a software key for a nursing home","description":"Creates an independent software key for a nursing home. Requires a PO file (PDF, max 5MB) for non-free SKs. PO file is optional for free SKs. If the nursing home doesn't have an active LICENSE subscription, one is automatically created. The subscription is synchronized based on the aggregate of all active SK. Requires HENKEL_CSM, HENKEL_ADMIN, or ORIZON_ADMINISTRATOR profile.","operationId":"create","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"dto":{"$ref":"#/components/schemas/SoftwareKeyCreationRequest"},"poFile":{"type":"string","format":"binary"}},"required":["dto"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SoftwareKeyResponse"}}}}}}},"/api/v1/software-keys/{id}/reject-free":{"post":{"tags":["software-keys"],"summary":"Reject a pending free software key","description":"Rejects a free software key request, which cancels the SK. A rejection notification email is sent to the requester. Requires ORIZON_ADMINISTRATOR profile.","operationId":"rejectFree","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreeSoftwareKeyRejectRequest"}}}},"responses":{"200":{"description":"OK"}}}},"/api/v1/software-keys/{id}/force-billing":{"post":{"tags":["software-keys"],"summary":"Force send billing for a software key to SAP","description":"Sends billing data to SAP for this software key. If billing was already sent and force=false, returns PEC00331. If force=true, resends even if already billed (may create duplicate invoice). Requires ORIZON_ADMINISTRATOR profile.","operationId":"forceBilling","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForceBillingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/v1/software-keys/{id}/check-idoc-status":{"post":{"tags":["software-keys"],"summary":"Force check iDoc status for a software key","description":"Checks the current iDoc status in SAP for this software key's billing. Only works for SKs that have been sent to SAP (have an iDoc number). Requires ORIZON_ADMINISTRATOR profile.","operationId":"checkIdocStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/v1/software-keys/{id}/cancel":{"post":{"tags":["software-keys"],"summary":"Cancel a software key","description":"Cancels a software key with an optional reason. When a SK is canceled: if it's not the last active SK, the subscription is recalculated; if it's the last active SK, the subscription is terminated. Requires ORIZON_ADMINISTRATOR profile only.","operationId":"cancel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SoftwareKeyCancelRequest"}}}},"responses":{"200":{"description":"OK"}}}},"/api/v1/software-keys/{id}/approve-free":{"post":{"tags":["software-keys"],"summary":"Approve a pending free software key","description":"Approves a free software key request. The SK can then be used by the director. An approval notification email is sent to the requester. Requires ORIZON_ADMINISTRATOR profile.","operationId":"approveFree","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/shipping-requests/{id}/receive":{"post":{"tags":["shipping-requests"],"summary":"Receive a shipping request.","operationId":"receive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingRequestReceptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ShippingRequestReceptionResponse"}}}}}}},"/api/v1/shipping-requests/order-spare-parts":{"post":{"tags":["shipping-requests"],"summary":"Order some spare parts. Can be expanded with \"delivery-address\", \"custom-address\", \"nursing-home\", \"requester\", \"counts\", \"outbound-progress\", \"handling-units\" and/or \"movements\".","operationId":"orderSpareParts","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingRequestOrderSparePartsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ShippingRequestResponse"}}}}}}},"/api/v1/sensor-measures":{"post":{"tags":["sensor-measures"],"summary":"Create a sensor measure.","operationId":"createOne_1","parameters":[{"name":"roid","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reid","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SensorMeasureRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/security/pin-authentication":{"post":{"tags":["security"],"summary":"Authenticate a user with a username and PIN. Can be expanded with \"roles\", \"connection\", \"user\", \"avatar-image-path\" and/or \"nursing-home\".","operationId":"authenticateWithPin","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PinAuthenticationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDetailsResponse"}}}}}}},"/api/v1/security/password-authentication":{"post":{"tags":["security"],"summary":"Authenticate a user with a username and password. Can be expanded with \"roles\", \"connection\", \"user\", \"avatar-image-path\" and/or \"nursing-home\".","operationId":"authenticateWithPassword","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordAuthenticationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDetailsResponse"}}}}}}},"/api/v1/security/change-tenant":{"post":{"tags":["security"],"summary":"Change the connection scoped tenant. Can be expanded with \"roles\", \"connection\", \"user\", \"avatar-image-path\" and/or \"nursing-home\".","operationId":"changeTenant","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantChangeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDetailsResponse"}}}}}}},"/api/v1/security/tenant-change":{"post":{"tags":["security"],"summary":"Change the connection scoped tenant. Can be expanded with \"roles\", \"connection\", \"user\", \"avatar-image-path\" and/or \"nursing-home\".","operationId":"changeTenant_1","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantChangeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDetailsResponse"}}}}}}},"/api/v1/rooms":{"get":{"tags":["rooms"],"summary":"Get all rooms. A case insensitive room name extract, building ID and/or availability flag can be provided to filter the results. Can use the \"grand-total\" extra. Can be expanded with \"floor\", \"building\", \"departments\", \"residents\", \"avatar-image-path\" and/or \"counts\".","operationId":"getAll_2","parameters":[{"name":"name-part","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"building-id","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"availability","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"extra","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRoomResponse"}}}}}},"post":{"tags":["rooms"],"summary":"Create a room.","operationId":"createOne_2","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoomRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoomResponse"}}}}}},"delete":{"tags":["rooms"],"summary":"Delete all rooms.","operationId":"deleteAll_1","responses":{"200":{"description":"OK"}}}},"/api/v1/rooms/batch":{"post":{"tags":["rooms"],"summary":"Create multiple rooms.","operationId":"createMultiple","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BatchResponse"}}}}}}},"/api/v1/residents":{"get":{"tags":["residents"],"summary":"Get all residents. A case insensitive extract of first name or last name, active only flag and/or include deleted flag can be provided to filter the results. Can use the \"grand-total\" extra.Can be expanded with \"room\", \"floor\", \"building\", \"departments\", \"groups\", \"clipon\", \"diaper-change\", \"product\", \"recommended-product\" (requires a \"time\" parameter such as \"18:53:24\"), \"alarms\", \"alarms-actions\", \"avatar-image-path\", \"diaper-plan\", \"diaper-change-wetnesses\" (detailed wetnesses of the current open change), and/or \"diaper-plan-history\".","operationId":"getAll_3","parameters":[{"name":"name-part","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"active-only","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"include-deleted","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"extra","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"time","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageResidentResponse"}}}}}},"post":{"tags":["residents"],"summary":"Create a resident.","operationId":"createOne_3","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResidentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResidentResponse"}}}}}},"delete":{"tags":["residents"],"summary":"Delete all residents.","operationId":"deleteAll_2","responses":{"200":{"description":"OK"}}}},"/api/v1/reporting/compute-real-time":{"post":{"tags":["reporting"],"operationId":"computeRealTimeReports","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComputeReportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReportResultDto"}}}}}}}},"/api/v1/reporting/compute-history":{"post":{"tags":["reporting"],"operationId":"computeHistoryReports","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComputeReportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReportResultDto"}}}}}}}},"/api/v1/reporting/compute-current-situation":{"post":{"tags":["reporting"],"operationId":"computeCurrentSituationReports","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ComputeReportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReportResultDto"}}}}}}}},"/api/v1/products/import-catalog":{"get":{"tags":["products"],"summary":"Import the product catalog from B2B for a country code.","operationId":"importProductCatalog","parameters":[{"name":"country-code","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductCatalogMetrics"}}}}}},"post":{"tags":["products"],"summary":"Import the product catalog from a file. Zipped files using '.zip' extension are also supported.","operationId":"importProductsFromUploadedFile","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductCatalogMetrics"}}}}}}},"/api/v1/partners":{"get":{"tags":["partners"],"summary":"Get all partners. A case insensitive name or soldTo extract can be provided to filter the results. Can be expanded with \"address\", \"delivery-addresses\" and/or \"counts\".","operationId":"getAll_4","parameters":[{"name":"name-or-soldto-part","in":"query","required":false,"schema":{"type":"string"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagePartnerResponse"}}}}}},"post":{"tags":["partners"],"summary":"Create a partner.","operationId":"createOne_4","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerResponse"}}}}}},"delete":{"tags":["partners"],"summary":"Delete all partners.","operationId":"deleteAll_3","responses":{"200":{"description":"OK"}}}},"/api/v1/partners/{id}/products/{productId}":{"post":{"tags":["partners"],"summary":"Add a product to a partner.","operationId":"addProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["partners"],"summary":"Remove a product from a partner.","operationId":"removeProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/partners/creation-data":{"post":{"tags":["partners"],"summary":"Get the data needed to create a partner.","operationId":"getCreationData","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCreationDataRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerCreationDataResponse"}}}}}}},"/api/v1/partner-prospects":{"get":{"tags":["partner-prospects"],"summary":"Get all partner prospects. A case insensitive name or identifier extract and/or without nursing home flag can be provided to filter the results. Can be expanded with \"subscription\", \"address\", \"delivery-addresses\", \"delivery-addresses-shipping-request-count\", \"nursing-home\" and/or \"counts\".","operationId":"getAll_5","parameters":[{"name":"name-or-identifier-part","in":"query","required":false,"schema":{"type":"string"}},{"name":"without-nursing-home","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagePartnerProspectResponse"}}}}}},"post":{"tags":["partner-prospects"],"summary":"Create a partner prospect.","operationId":"createOne_5","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerProspectRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerProspectResponse"}}}}}},"delete":{"tags":["partner-prospects"],"summary":"Delete all partner prospects.","operationId":"deleteAll_4","responses":{"200":{"description":"OK"}}}},"/api/v1/partner-prospects/{id}/users/{userId}":{"post":{"tags":["partner-prospects"],"summary":"Add a user to a partner prospect.","operationId":"addUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["partner-prospects"],"summary":"Remove a user from a partner prospect.","operationId":"removeUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/partner-prospects/{id}/delivery-addresses":{"post":{"tags":["partner-prospects"],"summary":"Add a new delivery address to a partner prospect.","operationId":"createDeliveryAddress","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerProspectDeliveryAddressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PartnerProspectDeliveryAddressResponse"}}}}}}},"/api/v1/nursing-homes":{"get":{"tags":["nursing-homes"],"summary":"Get all nursing homes. A case insensitive name (or soldTo) extract, has outdated clip-on flag and/or include all homes flag (only for Orizon administrators) can be provided to filter the results. Can be expanded with \"parameters\", \"nursing-home-user\", \"address\", \"delivery-addresses\", \"delivery-addresses-shipping-request-count\", \"firmware\", \"subscription\", \"software-keys\", \"shipping-requests\", \"clipons\", \"gateways\", \"gateway-connection-activity\", \"charging-stations\", \"counts\", \"clipon-metrics\", \"gateway-metrics\", \"charging-station-metrics\" and/or \"actions\".","operationId":"getAll_6","parameters":[{"name":"name-part","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"has-outdated-clipon","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"include-all-homes","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","default":["id,ASC"],"items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageNursingHomeResponse"}}}}}},"post":{"tags":["nursing-homes"],"summary":"Create a nursing home.","operationId":"createOne_6","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeResponse"}}}}}},"delete":{"tags":["nursing-homes"],"summary":"Delete all nursing homes.","operationId":"deleteAll_5","responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/set-henkel":{"post":{"tags":["nursing-homes"],"summary":"Set the Henkel flag for a nursing home. Only Orizon Administrators can use this endpoint. When isHenkel is true, only LICENSE subscriptions can be created. When isHenkel is false, only DEMO and STANDARD subscriptions can be created. Existing subscriptions are not affected by this change.","operationId":"setHenkel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetHenkelRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/send-director-invitation":{"post":{"tags":["nursing-homes"],"summary":"Send a director invitation email for a Henkel nursing home. Generates a new password reset token (invalidating any previous link). Optionally attaches software keys to the email (their values in text and PDFs).","operationId":"sendDirectorInvitation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendDirectorInvitationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/products/{productId}":{"post":{"tags":["nursing-homes"],"summary":"Add a product to a nursing home.","operationId":"addProduct_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["nursing-homes"],"summary":"Remove a product from a nursing home.","operationId":"removeProduct_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/legal-documents/approve":{"post":{"tags":["nursing-home-legal-doc"],"summary":"Approve 1 or more legal documents","operationId":"approveLegalDocs","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApproveLegalDocsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApprovableLegalDocResponse"}}}}}}}},"/api/v1/nursing-homes/{id}/dissociate-equipment":{"post":{"tags":["nursing-homes"],"summary":"Dissociate an equipment from a nursing home.","operationId":"dissociateEquipment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EquipmentDissociationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/{id}/associate-equipment":{"post":{"tags":["nursing-homes"],"summary":"Associate an equipment with a nursing home.","operationId":"associateEquipment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EquipmentAssociationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-homes/synchronize-from-ecs":{"post":{"tags":["nursing-homes"],"summary":"Import some business data (e.g. buildings, residents, protocols) from an ECS to the current nursing home.","operationId":"synchronizeFromEcs","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeSynchronizationResponse"}}}}}}},"/api/v1/nursing-homes/import-from-prospect":{"post":{"tags":["nursing-homes"],"summary":"Create a nursing home from a prospect.","operationId":"importFromProspect","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeImportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeResponse"}}}}}}},"/api/v1/nursing-homes/import-from-partner-prospect":{"post":{"tags":["nursing-homes"],"summary":"Create a nursing home from a partner prospect.","operationId":"importFromPartnerProspect","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeImportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeResponse"}}}}}}},"/api/v1/nursing-homes/create-password-and-approve-legal-documents":{"post":{"tags":["nursing-home-legal-doc"],"summary":"Create the password of the nursing home during the initialisation phase (password selected by the 1st director) and approve simultaneously the legal documents.","operationId":"createPasswordAndApproveLegalDocuments","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePasswordAndApproveLegalDocumentsRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/nursing-home-parameters":{"get":{"tags":["nursing-home-parameters"],"summary":"Get all nursing home parameters. A case insensitive name extract can be provided to filter the results.","operationId":"getAll_7","parameters":[{"name":"name-part","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageNursingHomeParameterResponse"}}}}}},"post":{"tags":["nursing-home-parameters"],"summary":"Create a nursing home parameter in the current nursing home.","operationId":"createOne_7","parameters":[{"name":"simulation","in":"query","required":false,"schema":{"type":"string","default":""}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NursingHomeParameterRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NursingHomeParameterResponse"}}}}}}},"/api/v1/manufacturers/import-equipments":{"post":{"tags":["manufacturers"],"summary":"Import the equipment files for a manufacturer.","operationId":"sendOrder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManufacturerEquipmentImportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ManufacturerEquipmentImportResponse"}}}}}}},"/api/v1/purchase-orders":{"get":{"tags":["purchase-orders"],"summary":"Get all purchase orders. A case insensitive PO number extract can be provided to filter the results. Can be expanded with \"vendor\", \"items\", \"user\" and/or \"avatar-image-path\".","operationId":"getAll_8","parameters":[{"name":"po-number-part","in":"query","required":false,"schema":{"type":"string"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagePurchaseOrderResponse"}}}}}},"post":{"tags":["purchase-orders"],"summary":"Create a purchase order. Can be expanded with \"details\".","operationId":"createOne_8","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreationResponse"}}}}}},"delete":{"tags":["purchase-orders"],"summary":"Delete all purchase orders.","operationId":"deleteAll_6","responses":{"200":{"description":"OK"}}}},"/api/v1/logistic/purchase-orders":{"post":{"tags":["purchase-orders"],"summary":"Create a purchase order. Can be expanded with \"details\".","operationId":"createOne_9","parameters":[{"name":"expand","in":"query","required":false,"schema":{"type":"array","default":[],"items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PurchaseOrderCreationResponse"}}}}}}},"/api/v1/logistic/movements":{"post":{"tags":["movements"],"summary":"Create movements.","operationId":"createMovements","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MovementRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/movements":{"post":{"tags":["movements"],"summary":"Create movements.","operationId":"createMovements_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MovementRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/v1/legal-entities":{"get":{"tags":["legal-entities"],"summary":"Get all legal entities.","operationId":"getAll_9","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":50,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported."
[...]
